import React from 'react';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { Card, Divider } from 'antd';
import Summary from './components/Summary';
import Machines from './components/Machines';

export default (props) => {
  const { location } = props;
  const { user: userId } = location.query || {};

  return (
    <PageHeaderWrapper>
      <Card>
        <p>
          <Summary userId={userId} />
        </p>
        <Divider />
        <p>
          <Machines userId={userId} />
        </p>
      </Card>
    </PageHeaderWrapper>
  );
};
