import request from '@/utils/request';
/**
 * 调度列表
 * @param {*} params
 * @returns
 */
export const getDispatchList = (params) => request('/dispatch', { params });

/**
 * 调度
 * @param {*} data
 * @returns
 */
export const addDispatch = (data) => request('/dispatch', { method: 'post', data });

/**
 * 查询调度Id详情
 * @param {*} params
 * @returns
 */
export const getdispatchId = (id) => request(`/order/${id}/dispatch`);

/**
 * 取消调度
 * @param {*} data
 * @returns
 */
export const cancelDispatch = (id) => request(`/dispatch/${id}`, { method: 'delete' });
